Foreman - Bug #13684

yum-config-manager is not available on RHEL 5
02/12/2016 05:52 AM - Otavio Piske

Status: Closed
Priority: Normal
Assignee: Otavio Piske
Category: Templates
Target version: 1.10.2
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/communit
y-templates/pull/237

Description
I am trying to provision some RHEL 5 VMs and it has errors during the post install phase.
Steps to reproduce:

- configure the environments to subscribe to Red Hat Network.
- provision a VM for RHEL 5.

Result:
The install.post.log will contain an error: "line 100: yum-config-manager: command not found"

The root cause of the error seems to be related to the unavailability of yum-config-manager for RHEL 5 as described here:
https://access.redhat.com/solutions/265523.

Associated revisions

Revision 1bb9baae - 02/15/2016 04:39 PM - Otavio Rodolfo Piske

fixes #13684 - yum-config-manager is not available on RHEL 5

closes GH-237

History

#1 - 02/12/2016 05:54 AM - Dominic Cleal
- Category set to Templates
Looks like this is specifically the "redhat_register" snippet.

The source for this is at https:/github.com/theforeman/community-templates/blob/develop/snippets/redhat_register.erb if you have a patch you can
share, you can send fixes through the GitHub Ul and it'll be included in the next version of Foreman.

#2 - 02/12/2016 07:30 AM - Otavio Piske
Thanks, | have a patch for this. | will send it through the GitHub.

#3 - 02/13/2016 09:57 AM - Anonymous
- Assignee set to Otavio Piske

- Pull request https://github.com/theforeman/community-templates/pull/237 added

#4 - 02/13/2016 10:03 AM - Anonymous

- translation missing: en.field_release set to 123

#5 - 02/15/2016 04:50 PM - Anonymous

- Status changed from New to Closed
